petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMGetStratumSize

Get the number of points in a label stratum

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetStratumSize(DM dm, const char name[], PetscInt value, PetscInt *size)

Not Collective

### Input Parameters

| dm | - The DM object
| name | - The label name
| value | - The stratum value

### Output Parameter

size -The stratum size

### See Also

DMLabelGetStratumSize(), DMGetLabelSize(), DMGetLabelIds()

### Level

beginner

### Location

src/dm/interface/dm.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages